[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[musixtex] 01/07: update get-orig-source



This is an automated email from the git hooks/post-receive script.

preining pushed a commit to branch master
in repository musixtex.

commit 4c3cb229b7360b30e4e4e01460b69039678cd3f5
Author: Norbert Preining <preining@debian.org>
Date:   Mon Nov 30 14:03:01 2015 +0900

    update get-orig-source
---
 debian/get-orig-source | 34 ++++++++++++++++++++--------------
 1 file changed, 20 insertions(+), 14 deletions(-)

diff --git a/debian/get-orig-source b/debian/get-orig-source
index 1a5335b..8d92ba6 100755
--- a/debian/get-orig-source
+++ b/debian/get-orig-source
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -e
+
 version=$1
 
 if [ -z $version ] ; then
@@ -7,26 +9,31 @@ if [ -z $version ] ; then
   exit 1
 fi
 
-TMP=get-orig-source-tmp
+#TMP=get-orig-source-tmp
 debv=${version}.ctan`date +%Y%m%d`
 td=musixtex-$debv
 
-TMP=`mktemp -d`
+#TMP=`mktemp -d`
 currdir=`pwd`
-cd $TMP
-wget http://mirrors.ctan.org/macros/musixtex.zip
-unzip musixtex.zip
-rm musixtex.zip
-mv musixtex $td
+#cd $TMP
+#wget http://mirrors.ctan.org/macros/musixtex.zip
+#unzip musixtex.zip
+#rm musixtex.zip
+#mv musixtex $td
+if [ -d $td ] ; then
+  echo "$td already exists, exiting."
+  exit 1
+fi
+mkdir $td
 cd $td
 # we are not sure whether everything is contained in the
 # main CTAN dir, and the installation document tells 
 # that one should get the following file, so do it
 wget http://mirrors.ctan.org/install/macros/musixtex.tds.zip
 # clean out stuff that is replaced by the .tds.zip
-rm -r doc scripts source tex
+#rm -r doc scripts source tex
 # clean out Windows and OSX stuff
-rm -r Windows
+#rm -rf Windows
 # unzip further files
 unzip musixtex.tds.zip
 rm musixtex.tds.zip
@@ -39,13 +46,12 @@ rm musixtex-fonts.zip
 #rm musixtex-fonts-texmf.zip
 #cd ..
 cd ..
-tar -cJf musixtex_${debv}.orig.tar.xz $td
 if [ ! -r $currdir/musixtex_${debv}.orig.tar.xz ] ; then 
-  mv musixtex_${debv}.orig.tar.xz $currdir
+  tar -cJf $currdir/musixtex_${debv}.orig.tar.xz $td
   cd $currdir
-  rm -r $TMP
+  rm -r $td
 else
-  echo "musixtex_$(debv).orig.tar.xz already exists in $currdir, not replacing it!"
-  echo "new one is in $TMP"
+  echo "musixtex_$debv.orig.tar.xz already exists in $currdir, not replacing it!"
+  echo "orig sources are in $td"
 fi
 

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-tex/musixtex.git


Reply to: